///////////////////////////////////////////////////
// (c) SeA2019
// LINUX : Programme de test de la classe sRs232
//
// En mode TERMINAL shell : 
// Compilation : 	g++ sRs232.cpp exemple.cpp -o exemple
// Exécution : ./exemple
///////////////////////////////////////////////////

# include <iostream>
# include "sRs232.h"

using namespace std;

int main()
{
		string port = "/dev/ttyAMA0"; // Choisir le bon port série (/dev/ttyUSB0, /dev/ttyS0 ou /dev/ttyAMA0)
		sRs232 *com = new sRs232(port); // Créer un objet pour la liaison série
		if (! com->Configurer(BPS9600, BIT8, PAS_DE_PARITE)) // Appeler la méthode de configuration
		{
			cout <<  com->getError() << endl; // En cas d'erreur, on affiche le message de l'objet
			return 0;
		}
		
		// Envoyer des caractères
		string msg = "Bonjour les amis";
		com->Envoyer(msg);
		
		// Recevoir des caractères se terminant par le caractère !  et afficher les afficher (sans le !)
		cout << com->Recevoir('!', SANS_FINAL) << std::flush;

}