<?php
require_once ('gpgga.php');
require_once ('gpsOnSerial.php');

/**
 * @author serge
 * @version 1.0
 * @created 03-oct.-2021 15:01:55
 */
class positionGPS
{
	public $m_gpsOnSerial;
	public $m_gpgga;

	function __construct($port)
	{
		$this->m_gpsOnSerial = new gpsOnSerial($port);
		$this->m_gpgga = new gpgga();
	}

	function __destruct()
	{
	}

	public function getPositionTxt()
	{
		$this->lecturePosition();
		$txt = "\nLatitude : " . $this->m_gpgga->getLat();
		$txt .= "\nLongitude : " . $this->m_gpgga->getLong();
		$txt .= "\nAltitude : " . $this->m_gpgga->getAlt();
		$txt .= "\n";
		return $txt;
	}

	public function getPositionJson()
	{
		$this->lecturePosition();
		return $this->m_gpgga->getJson();
	}
	
	private function lecturePosition()
	{
		$ok = false;
		while(!$ok){
			$trame = $this->m_gpsOnSerial->getTrameNmea();
			$this->m_gpgga->updateTrame($trame);
			if ( $this->m_gpgga->isGPGPGA() ) {
				$ok = true;
			}
		}
	}

}
?>