<?php

/**
 * Accs de base au pour srie
 * @author serge
 * @version 1.0
 * @created 02-oct.-2021 17:16:13
 */
class rs232
{

	/**
	 * Descripteur d'accs au port srie (obtenu par fopen)
	 */
	private $com;

	function __construct()
	{
	}

	function __destruct()
	{
	}



	/**
	 * Lire des caractres sur le port srie juasqu' rception du "carFin"
	 * Retourne la chaine lue
	 * 
	 * @param carFin    Caractre de fin de chaine attendu
	 */
	public function recevoir($carFin)
	{
		$car = "";
		$ligne = "";
		while ($car != $carFin) {
			
			$car = fread ($this->com, 1);
			$ligne .= $car;
		}
		return $ligne;
	}

	/**
	 * Envoyer une chaine de caractres sur le port srie
	 * 
	 * @param chaine    Chaine  envoyer
	 */
	public function envoyer($chaine)
	{
		fwrite($chaine);
	}

	/**
	 * Rgler les paramtres de la liaison srie
	 * 
	 * @param port    Le nom du port /dev/tty
	 * @param vitesse    Vitesse de transpission en Bauds
	 * @param options    Les options du stty (comme -echo -opost ...)
	 */
	public function configurer($port, $vitesse, $options)
	{
		$this->com = fopen($port,"r+");
		$cmd = "stty $vitesse $options < " . $port;
		system($cmd);
	}

}
?>