///////////////////////////////////////////////////////////
//  cl_gpsOnSerial.cpp
//  Implementation of the Class cl_gpsOnSerial
//  Created on:      28-sept.-2021 17:48:27
//  Original author: serge
///////////////////////////////////////////////////////////

#include "cl_gpsOnSerial.h"


cl_gpsOnSerial::cl_gpsOnSerial(){

}


cl_gpsOnSerial::~cl_gpsOnSerial(){

}


/**
 * Argument : le nom du port serie
 */
cl_gpsOnSerial::cl_gpsOnSerial(string port) 
{
		m_sRs232 = new sRs232(port);
		m_sRs232->Configurer(BPS4800, BIT8, PAS_DE_PARITE);
}



/**
 * Retourne une trame complte NMEA (du $ au retour  la ligne)
 */
string cl_gpsOnSerial::getTrameNmea(){
	string chaineRecue = "rien";
	while ( chaineRecue[0] != '$') {
	 chaineRecue = m_sRs232->Recevoir('\n', SANS_FINAL);
	}
	return  chaineRecue;
}