///////////////////////////////////////////////////////////
//  cl_nmea.cpp
//  Implementation of the Class cl_nmea
//  Created on:      27-sept.-2021 13:24:54
//  Original author: serge
///////////////////////////////////////////////////////////

#include "cl_nmea.h"

using namespace std;

cl_nmea::cl_nmea(){
	tabChamps.push_back("vide");
}

cl_nmea::~cl_nmea(){

}

/**
 * Mettre  jour la trame dans l'objet
 */
void cl_nmea::updateTrame(std::string trame){
	string champ;
	int tag = 1;
	tabChamps.erase(tabChamps.begin(), tabChamps.end());
	
	while(tag != trame.npos){
		tag = trame.find(",");
		champ = trame.substr(0,tag);
		trame = trame.substr(tag + 1);
		tabChamps.push_back(champ);
	}
}


/**
 * Obtenir le premier champ de la trame
 */
std::string cl_nmea::getTypeTrame(){
	
	return  tabChamps[0];
}


/**
 * Obtenir le champ numro POS de la trame
 */
std::string cl_nmea::getChamp(int pos){
	
	
	return  tabChamps[pos];
}