#!/usr/bin/env node
var ws_comm = require('./ws_comm.js');

class dialogueWS extends ws_comm {
	
	constructor (port, idmsg) {
		super(port, idmsg); // Super fait référence à la classe parente
		super.connexion();
	}
	
	onMessage(message) { // Ceci est un exemple. A redéfinir en fonction du besoin
		console.log("message:", message);
		if (message.type === 'utf8') {
            console.log('Received Message: ' + message.utf8Data);
			// Envoi du message aux clients:
            this.envoyer(message.utf8Data);
        }
        else if (message.type === 'binary') {
			// Envoi du message au client:
            console.log('Received Binary Message of ' + message.binaryData.length + ' bytes');
        }
	}
	
	envoyer(message) { 
		this.listeConnexions.forEach( (client, index) => {
			client.sendUTF(message);
			//console.log('envoi à ', client.remoteAddress, ' ', this.port);
		});
	}
};

module.exports = dialogueWS;