<?php 
// Objectif : Lire les différentes partie d'une trame NMEA GPGGA

require ("nmea.php");

class gpgga extends nmea {
		
	public function isGPGPGA() {
		if ( $this->getTypeTrame() == '$GPGGA')
			return true;
		
		return false;
	}
	
	public function getLat() {
		return $this->getZone(2) . $this->getZone(3);
	}
	
	public function getLong() {
		return $this->getZone(4) . $this->getZone(5);
	}
	
	public function getAlt() {
		return $this->getZone(9);
	}
	
	public function getSat() {
		return $this->getZone(7);
	}
	
	
}
?>