///////////////////////////////////////////////////////////
//  cl_gpgga.cpp
//  Implementation of the Class cl_gpgga
//  Created on:      27-sept.-2021 13:24:54
//  Original author: serge
///////////////////////////////////////////////////////////

#include "cl_gpgga.h"


cl_gpgga::cl_gpgga(){

}



cl_gpgga::~cl_gpgga(){

}


/**
 * Retourne VRAI si la trame est $GPGGA
 */
bool cl_gpgga::isGPGGA(){
	if ( getTypeTrame() == "$GPGGA" )
		return true;
	return false;
}


/**
 * Retourne la latitude et l'orientation
 */
string cl_gpgga::getLatitude(){

	return  getChamp(2)+getChamp(3);
}


/**
 * Retourne la longitude et l'orientation
 */
string cl_gpgga::getLongitude(){

	return  getChamp(4)+getChamp(5);
}


/**
 * Retourne l'altitude
 */
string cl_gpgga::getAltitude(){

	return  getChamp(9)+getChamp(10);
}


/**
 * Retourne le nombre de satellites
 */
string cl_gpgga::getNbSat(){

	return  NULL;
}